<script>
    export let details;
    import { cartStore } from "./stores.js";

    let orderDetails = {
        ...details,
        quantity: 1,
        size: "medium"
    }

    function handleSizeChange(event) { 
        orderDetails.size = event.target.value;
    }

    function reset() {
        orderDetails.quantity = 1;
        orderDetails.size = "medium";
    }

    function handleAddToCart() {
        cartStore.update(xs => {
            return [...xs, {...orderDetails}]
        })
        reset();
    }
</script>

<style>
    h3 {
        display: flex;
        justify-content: center;
        font-family: 'Courier New', monospace;
    }
    details {
        margin: 0;
        padding: 1vh;
    }
    .svg-img {
        margin: 0;
        padding: 1vh;
    }
    summary:focus {
        outline: none;
    }
</style>

<div class="svg-img">{@html details.data.svg}</div>
<h3>{details.friendlyName}</h3>

<details>
    <summary>Choose Size & Add to Cart</summary>
    <label for="size-select">Size:</label>
    <select id="size-select" on:change={handleSizeChange} bind:value={orderDetails.size}>
        <option value="small">Small</option>
        <option value="medium">Medium</option>
        <option value="large">Large</option>
    </select>
    
    <div>
        <label for="quantity">Quantity:</label>
        <button on:click={()=> orderDetails.quantity = orderDetails.quantity <= 1 ? 1 : orderDetails.quantity - 1}>-</button>
        <output id="quantity" name="quantity" value={orderDetails.quantity}>{orderDetails.quantity}</output>
        <button on:click={()=> orderDetails.quantity += 1}>+</button>
    </div>
    <button on:click={handleAddToCart}>Add to cart</button>
</details>